package request


type AlibabaWdkMerchantItemCreatedraftRequest struct {
    /*
        商品信息json     */
    Params  *string `json:"params" required:"true" `
}

func (s *AlibabaWdkMerchantItemCreatedraftRequest) SetParams(v string) *AlibabaWdkMerchantItemCreatedraftRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkMerchantItemCreatedraftRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkMerchantItemCreatedraftRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}